const express = require('express');
const router = express.Router();
const controller = require('../controllers/produtos_clientes');

/* GET tipo clientes listing. */
router.get('/', controller.getTipo_produto);

router.get('/:id_produto', controller.getTipo_produtoID);

router.get('/produto/:cliente_tipo_produto', controller.getTipo_produtoEntidadeTipo);

router.get('/entidade/:cliente', controller.getTipo_produtoEntidade);

/* GET tipo clientes listing. */
router.post('/', controller.postTipo_produto);

/* GET tipo clientes listing. */
router.patch('/:id_produto', controller.patchTipo_produto)

/* GET tipo clientes listing. */
router.delete('/:id_produto', controller.deleteTipo_produto)

module.exports = router;